/*!  	
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

function rule_db_version_status() {
	$.ajax({
		url: '/jobs/rule_db_version_status',
		global: false,
		dataType: 'script',
		cache: false,
		type: 'GET'
	})
}

function update_inventory_devices_status() {
	$.ajax({
		url: '/jobs/update_inventory_devices_status',
		global: false,
		dataType: 'script',
		cache: false,
		type: 'GET'
	})
}

// Get table-striped styles when paginating
$(document).on('click', '#stored-jobs-pagination .pagination a', function (e) {
  e.preventDefault(); 
  var url = $(this).attr('href');

  $.ajax({
    url: url,
    type: 'GET',
    dataType: 'script', 
    success: function () {
      table_stripped_format(0);
    },
    error: function (error) {
      console.error('Error on paginate:', error);
    }
  });
});

function startJobsAutoRefresh(time) {
  if (typeof time === 'undefined') {
    time = 10000;
  }

  setInterval(function () {
    fetch("/jobs/workers_partial")
      .then(function(response) {
        return response.text();
      })
      .then(function(data) {
        var workersContainer = document.querySelector("#autorefresh_workers");
        if (workersContainer) {
          $(workersContainer).html(data);
					table_stripped_format(0);
        }
      })
      .catch(function(error) {
        console.error("Error in startJobsAutoRefresh on WORKERS:", error);
      });
    fetch("/jobs/jobs_partial")
      .then(function(response) {
        return response.text();
      })
      .then(function(data) {
        var jobsContainer = document.querySelector("#autorefresh_jobs");
        if (jobsContainer) {         
          $(jobsContainer).html(data);
					table_stripped_format(0);
        }
      })
      .catch(function(error) {
        console.error("Error in startJobsAutoRefresh on JOBS:", error);
      });
		const currentPage = $(".pagination .active a").text() || 1;
    fetch("/jobs/stored_jobs_partial?page=" + currentPage)
      .then(function(response) {
        return response.text();
      })
      .then(function(data) {
        var storedJobsContainer = document.querySelector("#autorefresh_stored_jobs");
        if (storedJobsContainer) {
          $(storedJobsContainer).html(data);
					table_stripped_format(0);
        }
      })
      .catch(function(error) {
        console.error("Error in startJobsAutoRefresh on STORED JOBS:", error);
      });
  }, time);
}
