#######################################################################
# Copyright (c) 2025 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class HardwareObject < ApplicationRecord
  before_destroy :remove_inventory_devices_association

  has_many :inventory_devices, dependent: :nullify

  def short_name
    self.product
  end

  def remove_inventory_devices_association
    inventory_devices.update_all(inventory_device_type_object_id: nil) if inventory_devices.exists?
  end
end